## glib2.0 2.76.4

=== debian/changelog ===
glib2.0 (2.76.4-3) unstable; urgency=medium

  * d/rules: When cross-compiling, expect /proc/self/cmdline works on Linux.
    This is auto-detected in native builds, but not in cross-builds, because
    the auto-detection involves running a host-architecture program.
  * d/rules: Tell Meson that native builds can run host binaries.
    This is normally true by definition, but the architecture detection
    that is used for this regressed on mips64el in 1.2.0.
    Mitigates: #1041499

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jul 2023 23:03:13 +0100

glib2.0 (2.76.4-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Jul 2023 16:47:00 -0400

glib2.0 (2.76.4-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 13:31:47 -0400

glib2.0 (2.76.3-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 May 2023 14:05:21 -0400

glib2.0 (2.76.2-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 21 Apr 2023 17:29:31 +0200

glib2.0 (2.74.7-1) UNRELEASED; urgency=medium

  * New upstream stable release
    - Functionally equivalent to 2.74.6-2
      (other than the version number, the only differences are
      Windows-specific fixes which do not affect the Debian package)
    - d/patches: Drop patches that are no longer required

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Apr 2023 15:45:07 +0100
