## glib2.0 2.77.2

=== debian/changelog ===
glib2.0 (2.77.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Revert "d/rules: Tell Meson that native builds can run host binaries"
    meson 1.2.1 fixed the underlying issue

  [ Simon McVittie ]
  * d/rules: Increate arbitrary test timeout on all architectures except x86.
    Thanks to Adrian Bunk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 09:43:06 -0400

glib2.0 (2.77.1-2) unstable; urgency=medium

  * Release to unstable (Closes: #1042555)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 06:22:24 -0400

glib2.0 (2.77.1-1) experimental; urgency=medium

  * New upstream release
  * Drop 5 patches applied in new release
  * debian/libglib2.0-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Jul 2023 09:39:05 +0300

glib2.0 (2.77.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libglib2.0-0.symbols: Add new symbols
  * Drop cherry-picked critical warnings patch: applied in new release
  * Cherry-pick 2 proposed patches to fix regressions detected by netplan
    (LP: #2026826)

  [ Sebastien Bacher ]
  * Cherry-pick 3 more upstream fixes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 25 Jul 2023 09:34:47 -0400

glib2.0 (2.76.4-4) unstable; urgency=medium

  * Cherry-pick patch from glib 2.77.0 to once again log missing GFileInfo
    attributes as critical warnings instead of debug

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 18:52:44 -0400
