=== debian/control ===
--- 
+++ 
@@ -58,7 +58,6 @@
         libsoup2.4-tests (<< 2.72.0-3~),
 Suggests: low-memory-monitor
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
@@ -80,7 +79,6 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: xdg-desktop-portal,
-Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines - installed tests
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
@@ -109,7 +107,6 @@
 Package: libglib2.0-bin
 Section: misc
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libglib2.0-data,
          ${misc:Depends},
          ${shlibs:Depends}
