## glib2.0 2.78.0

=== debian/changelog ===
glib2.0 (2.78.0-2ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: GDBus signal subscription mishandling
    - debian/patches/CVE-2024-34397-*.patch: upstream commits.
    - debian/control*: added Breaks for gnome-shell without regression fix.
    - CVE-2024-34397

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 13:35:11 -0400

glib2.0 (2.78.0-2) unstable; urgency=medium

  * d/p/gthreadedresolver-Fix-race-between-source-callbacks-and-f.patch:
    Add patch from upstream to fix a race condition that can crash GNOME
    Shell (Closes: #1052023)
  * d/patches: Update translations from upstream: ca, es, fr, it, ru, sl,
    zh_CN

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Sep 2023 13:27:22 +0100

glib2.0 (2.78.0-1) unstable; urgency=medium

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * New upstream stable release
    - Temporarily revert a change to error handling for GKeyFile containing
      syntactically invalid string escape sequences (Closes: #1051373).
      This change is likely to be reverted in 2.79.x.
    - Improve ability to debug code using GQuark with gdb
    - Add missing noreturn attribute to g_thread_exit()
    - Make gutils-user-database unit test work as intended
    - Minor build system change not relevant to Debian
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Sep 2023 16:53:23 +0100

glib2.0 (2.77.3-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/libglib2.0-0.symbols: Increase required version for
    g_unix_open_pipe().
    Software compiled against GLib >= 2.77.3 might be relying on the
    ability to pass O_CLOEXEC to this function, which was not previously
    allowed.
  * d/libglib2.0-dev.install: Install new DTD for GResource XML
  * d/control.in: libglib2.0-0 Provides the individual library names.
    This binary package combines several distinct SONAMEs. Give it Provides
    on the Policy-compliant names that they would have if they had been
    packaged separately.
  * Fix a typo in the previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Sep 2023 12:51:07 +0100
