=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -44,6 +45,11 @@
 
 Package: libglib2.0-0
 Architecture: any
+Provides: libgio-2.0-0 (= ${binary:Version}),
+          libglib-2.0-0 (= ${binary:Version}),
+          libgmodule-2.0-0 (= ${binary:Version}),
+          libgobject-2.0-0 (= ${binary:Version}),
+          libgthread-2.0-0 (= ${binary:Version}),
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libglib2.0-data,
@@ -56,6 +62,7 @@
         libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2),
         libsoup2.4-tests (<< 2.72.0-3~),
+        gnome-shell (<< 45.2-0ubuntu1.1~),
 Suggests: low-memory-monitor
 Multi-Arch: same
 Description: GLib library of C routines
