=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,7 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 DEB_CONFIGURE_EXTRA_FLAGS += --cross-file=$(CURDIR)/debian/meson/linux.ini
 endif
-else # not cross-compiling
-DEB_CONFIGURE_EXTRA_FLAGS += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
-endif # not cross-compiling
+endif # cross-compiling
 
 ifneq ($(filter kfreebsd,$(DEB_HOST_ARCH_OS)),)
 have_non_stub_xattr = false
@@ -107,16 +105,13 @@
 endif
 
 # Upstream test timeouts assume an otherwise unloaded system, but that
-# isn't necessarily the case for a porterbox or multiple parallel builds
+# isn't necessarily the case for a porterbox or multiple parallel builds.
+# Keep the timeout reasonably short for architectures where interactive
+# debugging is more likely, but extend it a lot on architectures that might
+# be very slow or using qemu for buildds.
+ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
 test_timeout_multiplier = 3
-
-ifneq ($(filter arm hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
-$(info Slow architecture detected, increasing test timeout)
-test_timeout_multiplier = 5
-endif
-
-ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
-$(info Architecture with qemu buildds detected, increasing test timeout a lot)
+else
 test_timeout_multiplier = 20
 endif
 
@@ -260,3 +255,6 @@
 endif
 	dh_auto_install --remaining-packages --builddirectory=debian/build/deb --destdir=debian/install/deb
 
+override_dh_python3:
+	# dh_python3 can't process both a private directory and /usr/bin
+	# in the same invocation
