=== debian/control ===
--- 
+++ 
@@ -1,24 +1,19 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Simon McVittie <smcv@debian.org>
 Build-Depends: dbus-daemon <!nocheck> <!noinsttest>,
                debhelper-compat (= 13),
+               dh-sequence-gnome,
                dh-sequence-python3,
-               dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
                gettext,
                libdbus-1-dev <!nocheck> <!noinsttest>,
                libelf-dev,
-               libffi-dev (>= 3.3),
-               libmount-dev (>= 2.35.2-7~) [linux-any],
+               libffi-dev,
+               libmount-dev [linux-any],
                libpcre2-dev,
                libselinux1-dev [linux-any],
                libxml2-utils,
@@ -36,7 +31,7 @@
                     shared-mime-info <!nocheck>,
                     tzdata <!nocheck>,
                     xterm <!nocheck>
-Build-Depends-Indep: gtk-doc-tools (>= 1.32.1),
+Build-Depends-Indep: gtk-doc-tools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GLib
@@ -55,14 +50,11 @@
 Recommends: libglib2.0-data,
             shared-mime-info,
             xdg-user-dirs,
-Breaks: gimp (<< 2.10.14-3~),
-        glib-networking-tests (<< 2.70.0~),
+Breaks: glib-networking-tests (<< 2.70.0~),
         gnome-keyring (<< 40.0-3~),
         libedataserver-1.2-26 (<< 3.44.3-2~),
-        libgirepository-1.0-1 (<< 1.62.0-4~),
         libgladeui-2-6 (<< 3.22.2),
         libsoup2.4-tests (<< 2.72.0-3~),
-        gnome-shell (<< 45.2-0ubuntu1.1~),
 Suggests: low-memory-monitor
 Multi-Arch: same
 Description: GLib library of C routines
@@ -130,11 +122,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libffi-dev (>= 3.3),
+Depends: libffi-dev,
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
-         libmount-dev (>= 2.35.2-7~) [linux-any],
+         libmount-dev [linux-any],
          libpcre2-dev,
          libselinux1-dev [linux-any],
          pkg-config,
@@ -144,7 +136,7 @@
          ${shlibs:Depends}
 Breaks: libglib2.0-0-dbg (<< 2.51.4-1~)
 Replaces: libglib2.0-0-dbg (<< 2.51.4-1~)
-Suggests: libgirepository1.0-dev (>= 1.62),
+Suggests: libgirepository1.0-dev,
           libglib2.0-doc
 Description: Development files for the GLib library
  GLib is a library containing many useful C routines for things such
