## glib2.0 2.78.4

=== debian/changelog ===
glib2.0 (2.78.4-1) unstable; urgency=medium

  * New upstream release
  * Backport selected packaging changes from experimental:
    - d/control: Make build-dependencies cross-satisfiable.
      python3-packaging is not (currently?) Multi-Arch: foreign. We only
      need this for gdbus-codegen, so a version suitable for the build
      architecture is correct.
    - d/control: Depend on pkgconf in preference to pkg-config
    - d/clean: Canonicalize order

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Feb 2024 13:36:05 +0000

glib2.0 (2.78.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Branch packaging for 2.78.x
  * Depend on python3-packaging instead of python3-distutils

  [ Jeremy Bícha ]
  * Cherry-pick patch to stop using distutils: no longer included in Python 3.12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 09:48:48 -0500
