=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libxml2-utils,
                linux-libc-dev [linux-any],
                meson (>= 0.60.0),
-               pkg-config,
-               python3-distutils,
-               python3:any,
+               pkgconf,
+               python3-packaging:native,
+               python3:native,
                xsltproc,
                zlib1g-dev
 Build-Depends-Arch: desktop-file-utils <!nocheck>,
@@ -36,7 +36,7 @@
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GLib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/trixie
 
 Package: libglib2.0-0
 Architecture: any
@@ -129,7 +129,7 @@
          libmount-dev [linux-any],
          libpcre2-dev,
          libselinux1-dev [linux-any],
-         pkg-config,
+         pkgconf,
          zlib1g-dev,
          ${misc:Depends},
          ${python3:Depends},
@@ -153,7 +153,7 @@
 Package: libglib2.0-dev-bin
 Section: libdevel
 Architecture: any
-Depends: python3-distutils,
+Depends: python3-packaging,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
