=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,7 @@
 	       $(CURDIR)/debian/install
 	dh_clean -Xorg.gtk.test.gschema.xml.orig -Xorg.gtk.test.gschema.override.orig
 
+override_dh_gnome_clean:
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibglib2.0-tests -n
